<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: users.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Информация о пользователе.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.GetInfoResponse</code>
 */
class GetInfoResponse extends \Google\Protobuf\Internal\Message
{
    /**
     *Признак премиум клиента.
     *
     * Generated from protobuf field <code>bool prem_status = 1;</code>
     */
    protected $prem_status = false;
    /**
     *Признак квалифицированного инвестора.
     *
     * Generated from protobuf field <code>bool qual_status = 2;</code>
     */
    protected $qual_status = false;
    /**
     *Набор требующих тестирования инструментов и возможностей, с которыми может работать пользователь.
     *
     * Generated from protobuf field <code>repeated string qualified_for_work_with = 3;</code>
     */
    private $qualified_for_work_with;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type bool $prem_status
     *          Признак премиум клиента.
     *     @type bool $qual_status
     *          Признак квалифицированного инвестора.
     *     @type string[]|\Google\Protobuf\Internal\RepeatedField $qualified_for_work_with
     *          Набор требующих тестирования инструментов и возможностей, с которыми может работать пользователь.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Users::initOnce();
        parent::__construct($data);
    }

    /**
     *Признак премиум клиента.
     *
     * Generated from protobuf field <code>bool prem_status = 1;</code>
     * @return bool
     */
    public function getPremStatus()
    {
        return $this->prem_status;
    }

    /**
     *Признак премиум клиента.
     *
     * Generated from protobuf field <code>bool prem_status = 1;</code>
     * @param bool $var
     * @return $this
     */
    public function setPremStatus($var)
    {
        GPBUtil::checkBool($var);
        $this->prem_status = $var;

        return $this;
    }

    /**
     *Признак квалифицированного инвестора.
     *
     * Generated from protobuf field <code>bool qual_status = 2;</code>
     * @return bool
     */
    public function getQualStatus()
    {
        return $this->qual_status;
    }

    /**
     *Признак квалифицированного инвестора.
     *
     * Generated from protobuf field <code>bool qual_status = 2;</code>
     * @param bool $var
     * @return $this
     */
    public function setQualStatus($var)
    {
        GPBUtil::checkBool($var);
        $this->qual_status = $var;

        return $this;
    }

    /**
     *Набор требующих тестирования инструментов и возможностей, с которыми может работать пользователь.
     *
     * Generated from protobuf field <code>repeated string qualified_for_work_with = 3;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getQualifiedForWorkWith()
    {
        return $this->qualified_for_work_with;
    }

    /**
     *Набор требующих тестирования инструментов и возможностей, с которыми может работать пользователь.
     *
     * Generated from protobuf field <code>repeated string qualified_for_work_with = 3;</code>
     * @param string[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setQualifiedForWorkWith($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->qualified_for_work_with = $arr;

        return $this;
    }

}

